Bug 11645 - make "hide dot files" work with "store dos attributes"
make "hide dot files" work with "store dos attributes"
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.3.2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-15 21:14 UTC by Ralph Böhme
Modified: 2016-01-05 08:36 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.1 and 4.2, backported from master (1.27 KB, patch)
2015-12-16 12:18 UTC, Ralph Böhme
jra: review+
Details
Patch for 4.3 cherry-picked from master (1.50 KB, patch)
2015-12-16 12:19 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2015-12-15 21:14:46 UTC
When using "store dos attributes = yes", the function that reads the attributes from the xattr will overwrite the attribute previously set for "hide dot files".

According to smb.conf, "store dos attributes = yes" should only overwrite the "map XXX" options, but not "hide dot files".
Comment 1 Ralph Böhme 2015-12-16 12:18:44 UTC
Created attachment 11728 [details]
Patch for 4.1 and 4.2, backported from master
Comment 2 Ralph Böhme 2015-12-16 12:19:19 UTC
Created attachment 11729 [details]
Patch for 4.3 cherry-picked from master
Comment 3 Jeremy Allison 2015-12-16 18:26:20 UTC
Comment on attachment 11729 [details]
Patch for 4.3 cherry-picked from master

LGTM.
Comment 4 Jeremy Allison 2015-12-16 18:26:45 UTC
Comment on attachment 11728 [details]
Patch for 4.1 and 4.2, backported from master

LGTM.
Comment 5 Jeremy Allison 2015-12-16 18:27:35 UTC
Re-assigning to Karolin for inclusion in 4.3.next, 4.2.next.
Comment 6 Karolin Seeger 2015-12-17 10:05:07 UTC
Pushed to autobuild-v4-[2|3]-test.
Comment 7 Karolin Seeger 2016-01-05 08:36:36 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to both branches!
Closing out bug report.

Thanks!